Bug 1031233 - [abrt] nemo-2.0.2-1.fc19: recalc_dbus_conditions: Process /usr/bin/nemo was killed by signal 11 (SIGSEGV)
[abrt] nemo-2.0.2-1.fc19: recalc_dbus_conditions: Process /usr/bin/nemo was k...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: nemo (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: leigh scott
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:de1bb8e4f96946ff122889d94a3...
:
: 1013430 1100996 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-15 20:08 EST by edalgas
Modified: 2015-11-27 05:29 EST (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 14:16:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (47.66 KB, text/plain)
2013-11-15 20:09 EST, edalgas
no flags Details
File: cgroup (141 bytes, text/plain)
2013-11-15 20:09 EST, edalgas
no flags Details
File: core_backtrace (9.09 KB, text/plain)
2013-11-15 20:09 EST, edalgas
no flags Details
File: dso_list (2.51 KB, text/plain)
2013-11-15 20:09 EST, edalgas
no flags Details
File: environ (1.62 KB, text/plain)
2013-11-15 20:09 EST, edalgas
no flags Details
File: exploitable (82 bytes, text/plain)
2013-11-15 20:09 EST, edalgas
no flags Details
File: limits (1.29 KB, text/plain)
2013-11-15 20:09 EST, edalgas
no flags Details
File: maps (61.59 KB, text/plain)
2013-11-15 20:09 EST, edalgas
no flags Details
File: open_fds (2.06 KB, text/plain)
2013-11-15 20:09 EST, edalgas
no flags Details
File: proc_pid_status (999 bytes, text/plain)
2013-11-15 20:09 EST, edalgas
no flags Details
File: var_log_messages (15.67 KB, text/plain)
2013-11-15 20:09 EST, edalgas
no flags Details

  None (edit)
Description edalgas 2013-11-15 20:08:55 EST
Description of problem:
Unknown.

Version-Release number of selected component:
nemo-2.0.2-1.fc19

Additional info:
reporter:       libreport-2.1.9
backtrace_rating: 4
cmdline:        nemo -n
crash_function: recalc_dbus_conditions
executable:     /usr/bin/nemo
kernel:         3.11.6-201.fc19.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 recalc_dbus_conditions at nemo-action.c:246
 #1 nemo_action_get_visibility at nemo-action.c:1216
 #2 button_pressed_callback at nemo-tree-sidebar.c:799
 #3 _gtk_marshal_BOOLEAN__BOXED at gtkmarshalers.c:85
 #8 gtk_widget_event_internal at gtkwidget.c:6722
 #9 gtk_widget_event at gtkwidget.c:6379
 #10 propagate_event_up at gtkmain.c:2393
 #11 propagate_event at gtkmain.c:2501
 #12 gtk_main_do_event at gtkmain.c:1716
 #17 g_main_context_iteration at gmain.c:3762
Comment 1 edalgas 2013-11-15 20:09:02 EST
Created attachment 824763 [details]
File: backtrace
Comment 2 edalgas 2013-11-15 20:09:05 EST
Created attachment 824764 [details]
File: cgroup
Comment 3 edalgas 2013-11-15 20:09:07 EST
Created attachment 824765 [details]
File: core_backtrace
Comment 4 edalgas 2013-11-15 20:09:10 EST
Created attachment 824766 [details]
File: dso_list
Comment 5 edalgas 2013-11-15 20:09:14 EST
Created attachment 824767 [details]
File: environ
Comment 6 edalgas 2013-11-15 20:09:16 EST
Created attachment 824768 [details]
File: exploitable
Comment 7 edalgas 2013-11-15 20:09:19 EST
Created attachment 824769 [details]
File: limits
Comment 8 edalgas 2013-11-15 20:09:22 EST
Created attachment 824770 [details]
File: maps
Comment 9 edalgas 2013-11-15 20:09:25 EST
Created attachment 824771 [details]
File: open_fds
Comment 10 edalgas 2013-11-15 20:09:27 EST
Created attachment 824772 [details]
File: proc_pid_status
Comment 11 edalgas 2013-11-15 20:09:30 EST
Created attachment 824773 [details]
File: var_log_messages
Comment 12 leigh scott 2014-05-25 04:43:12 EDT
*** Bug 1036094 has been marked as a duplicate of this bug. ***
Comment 13 leigh scott 2014-05-25 04:43:51 EDT
*** Bug 1013430 has been marked as a duplicate of this bug. ***
Comment 14 leigh scott 2014-05-25 04:44:45 EDT
*** Bug 1100996 has been marked as a duplicate of this bug. ***
Comment 15 Michael Webster 2014-06-05 06:08:26 EDT
Can you tell me what Actions you have installed?

They'll either be in /usr/share/nemo/actions or ~/.local/share/nemo/actions

Specifically looking for any additional you may have installed (besides what came with Nemo).  If there are 3rd party actions, would you mind attaching the .nemo_action files?

Thanks
Comment 16 redhat 2014-06-05 06:28:02 EDT
I'm not sure which one of these are additional actions.

$ ls -la /usr/share/nemo/actions/
total 44
drwxr-xr-x. 2 root root 4096 Jun  3 13:10 .
drwxr-xr-x. 4 root root 4096 Jun  3 13:10 ..
-rw-r--r--. 1 root root  216 May 21 14:03 add-desklets.nemo_action
-rw-r--r--. 1 root root  251 May 21 14:03 change-background.nemo_action
-rw-r--r--. 1 root root  363 May 21 14:03 mount-archive.nemo_action
-rwxr-xr-x. 1 root root  214 May 21 14:03 myaction.py
-rw-r--r--. 2 root root  312 May 21 14:03 myaction.pyc
-rw-r--r--. 2 root root  312 May 21 14:03 myaction.pyo
-rw-r--r--. 1 root root  241 May 21 14:03 new-launcher.nemo_action
-rw-r--r--. 1 root root 3327 May 21 14:03 sample.nemo_action
-rw-r--r--. 1 root root  231 May 21 14:03 set-as-background.nemo_action

Do you need more info besides that?
Comment 17 Michael Webster 2014-06-05 06:31:20 EDT
Those look ok - were there any in ~/.local/share/nemo/actions ?

I think I found the problem anyhow, but this may be one of those 'fix blindly' problems, as I can't reproduce this for myself, so I'd hope to rule everything else out first.

Thanks
Comment 18 redhat 2014-06-05 06:34:29 EDT
Oh i forgot to copy that. ~/.local/share/nemo/actions is empty:
$ ls -la .local/share/nemo/actions/
total 8
drwxr-xr-x. 2 lb lb 4096 Feb  5 11:33 .
drwxr-xr-x. 3 lb lb 4096 Feb  5 11:33 ..
Comment 19 vikram goyal 2014-06-10 05:53:29 EDT
Another user experienced a similar problem:

it crashed and closed all the instances

reporter:       libreport-2.2.2
backtrace_rating: 4
cmdline:        nemo -n
crash_function: recalc_dbus_conditions
executable:     /usr/bin/nemo
kernel:         3.14.5-200.fc20.x86_64
package:        nemo-2.2.2-1.fc20
reason:         nemo killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 20 leigh scott 2014-07-08 03:07:40 EDT
(In reply to vikram goyal from comment #19)
> Another user experienced a similar problem:
> 
> it crashed and closed all the instances
> 
> reporter:       libreport-2.2.2
> backtrace_rating: 4
> cmdline:        nemo -n
> crash_function: recalc_dbus_conditions
> executable:     /usr/bin/nemo
> kernel:         3.14.5-200.fc20.x86_64
> package:        nemo-2.2.2-1.fc20
> reason:         nemo killed by SIGSEGV
> runlevel:       N 5
> type:           CCpp
> uid:            1000

Can you reproduce with nemo-2.2.2-4.fc20 + (nemo-2.2.3-1.fc20 is current)?
Comment 21 Fedora End Of Life 2015-01-09 15:36:24 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 22 Fedora End Of Life 2015-02-17 14:16:01 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 23 vikram goyal 2015-11-27 05:29:45 EST
thanks

Note You need to log in before you can comment on or make changes to this bug.